package com.incubator.common;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 消息类注解
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface MessageHandler {
    // WebSocket 消息事件 ID
    int id() default -1;
    // HTTP 消息事件路径
    String httpPath() default "";
}
