package com.incubator.core.net.ws;

import com.incubator.message.proto.CommonProto;

import java.util.Map;

public class WSResponse extends MsgBase {

    public WSResponse() {}

    public WSResponse(byte[] bytes) throws Exception {
        this.fromBytes(bytes);
    }

    public WSResponse(CommonProto.Cmd msgId, Map<String, Object> data) {
        this.setCmd(msgId.getNumber());
        this.setData(data);
    }
}
