package com.incubator.core.player;

/**
 * 功能描述：玩家抽象基类接口
 */

public interface GPlayerInterface {

	/** 获取玩家编号(应对应于角色唯一标识KEY) */
	public abstract String getId();
	
	/** 获取逻辑服ID */
	public abstract int getLogicServerId();
	
	/** 功能描述：用户ID，用户中心的唯一标识ID */
	public abstract long getUid();
	
	/** 玩家定时刷新操作 */
	public abstract void doUpdate();

}
