package com.incubator.core.room;

/**
 * 功能描述：房间抽象接口
 */
public interface GRoomInterface {
    /** 初始化 **/
    public abstract void initCardList();
    /** 主线程逻辑 **/
    public abstract void doUpdate();
    /** 检测是否可以开始 3秒倒计时开始 **/
    public abstract boolean checkReadyStart();
    /** 玩家是否都已准备 **/
    public abstract boolean isStart();
    /** 给玩家发牌 **/
    public abstract void doSendCard();
    /** 游戏开局 **/
    public abstract void doStart();
}
