package com.incubator.core.util;

import com.incubator.common.ConfRemark;

/**
 * 玩家任务对应key
 */
public final class PlayerTaskKey {

	@ConfRemark("每日登录奖励")
	public static final String DAY_LOGIN = "a";
	
	@ConfRemark("每日首充奖励")
	public static final String DAY_CHARGE = "b";

	@ConfRemark("当日牌局累计到达 30局")
	public static final String DAY_MJ = "c";

	@ConfRemark("当日累计获胜20局")
	public static final String DAY_MJ_WIN = "d";
	
	@ConfRemark("当日在卡五星累计亮牌到达5局")
	public static final String DAY_MJ_LIANG = "e";
	
	@ConfRemark("当日在牌局中使用一次海底捞月")
	public static final String DAY_MJ_HDL = "f";
	
	@ConfRemark("在多人麻将单场下注达到5000万")
	public static final String WR_MJ = "g";
	
	@ConfRemark("在广东麻将玩法累计自摸到达100局")
	public static final String GD_MJ_ZM = "h";
	
	@ConfRemark("在卡五星玩法亮牌累计到达100局")
	public static final String KWX_MJ_LIANG = "i";
	
	@ConfRemark("在多人、龙虎、牛牛上庄累计赢取到达20亿")
	public static final String XH_WIN = "j";
	
	@ConfRemark("在麻将中累计玩牌1000局")
	public static final String MJ_LJ = "k";
	
	@ConfRemark("在麻将中累计获胜100局")
	public static final String MJ_WIN_LJ = "l";
	
	@ConfRemark("在麻将中单局赢取金币10万以上")
	public static final String MJ_WIN_DJ = "m";
	
	@ConfRemark("在线时长")
	public static final String DAY_ONLINE_REWARD = "zz";

}
