package com.incubator.game.data.entity;

/**
 * 数据库表[player_info]对应的实体类
 * 作者：agui
 * 自动创建时间：2022-10-01 02:24:37
 */
public class PlayerInfoPO {
	/** 角色id */
	public String player_id;
	/** 名称 **/
	public String name;
	/** 性别 0-男 1-女 **/
	public int sex;
	/** 积分 **/
	public long exp;
	/** 等级 **/
	public int level;
	/** vip **/
	public int vip;
	/** 玩家携带钻石 **/
	public long diamond;

	/** 玩家绑定的房间 **/
	public int roomId;
	/** 玩家位置(0东 1南 2西 3北) **/
	public int pos;
	/** 玩家状态(0未准备 1已准备 2游戏中 3结束) **/
	public int state;
	/** 是否托管 **/
	public boolean isAuto;
	/** 玩家手牌信息 **/
	public int[] remainCards = new int[]{};

	/** 级数显示 [我方级数, 对方级数]**/
	public int[] levelPointView = new int[2];
	/** 队友id **/
	public String teammateId;

	/** 登录token **/
	public String token;

	public PlayerInfoPO () {

	}
}
