package com.incubator.game.room;

/**
 * 房间工厂类，根据类型创建房间
 */
public class RoomFactory {

    public static Room createRoom(int roomType) {
        switch (roomType) {
            case 1:
                // 经典掼蛋
                return new JDGDRoom();
            case 2:
                // 添加其他房间类型
//                return new SomeOtherRoom();
            default:
                // 默认房间类型
                return new Room();
        }
    }

}
