package com.incubator.center;

import com.incubator.common.game.IService.ServiceState;

/**
 * Hello world!
 *
 */
public class CenterServerStart {

	/**
	 * 可传两参数 配置文件名称 项目主目录 (如：config.properties /home/work/game-center)
	 * 
	 * @throws Exception
	 */
	public static void main(String[] args) throws Exception {
		if (args.length > 0) {
			GCenter.CONFIGURATION_FILE = args[0];
			if (args.length > 1) {
				GCenter.env.initEnv(args[1]);
			}
		}
		// 启动服务
		GCenter main = GCenter.getInstance();
		main.startService();

		if (main.getState() != ServiceState.ACTIVE) {
			System.exit(0);
		}
	}

}
