package com.incubator.core.net.ws;

import com.alibaba.fastjson2.JSONObject;

import java.util.Map;

/**
 * 错误消息
 */
public class ErrorResponse extends WSResponse {

    /**
     * @param code 消息码
     */
    public ErrorResponse(int code) {
        this.setCode(code);
    }

    /**
     * @param code 消息码
     * @param msg 消息提示
     */
    public ErrorResponse(int code, JSONObject msg) {
        this.setCode(code);
        this.setData(msg);
    }

}
