package com.incubator.core.net.ws;

import com.incubator.common.log4j.Log4jUtil;
import com.incubator.common.net.Connection;
import org.slf4j.Logger;

/**
 * 描述：网络报文处理基类
 *
 * @author agui
 */
public abstract class NetHandler extends MsgBase {

    protected Logger logger = Log4jUtil.getLogger(getClass());

    public abstract void onDate(Connection session, WSRequest request, WSResponse response);

}
