package com.incubator.game.util;

/**
 * 通用属性定义
 */
public final class Const {

	/**
	 * 玩家事件类型
	 */
	public static enum PlayerEventType {
		/** 服务器刷新 **/
        REFRESH_NEWDAY,
        /** 上线 **/
        AFTER_LOGIN,
        /** 下线 **/
		OFFLINE,
		/** 充值 **/
		PAY,
		;
	}

	/**
	 * 管理类类型
	 */
	public static enum ManagerType {
		;
	}

	public static enum ElementType {
		WILD(0, "WILD"),
		HV1(1, "HV1"),
		HV2(2, "HV2"),
		HV3(3, "HV3"),
		HV4(4, "HV4"),
		HV5(5, "HV5"),
		LV1(6, "LV1"),
		LV2(7, "LV2"),
		LV3(8, "LV3"),
		LV4(9, "LV4"),
		SCATTER(10, "SCATTER"),
		;

		public int value;
		public String desc;

		private ElementType(int value, String desc) {
			this.value = value;
			this.desc = desc;
		}
	}

}
